error while loading ggplot2

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

error while loading ggplot2

R help mailing list-2
Getting the following error while loading ggplot2.

> library(ggplot2)
Error: package or namespace load failed for ‘ggplot2’ in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
 object 'vI' not found
Tried different version of R and ggplot2 but still doesnt work.
Any help to resolve is appreciated. Appreciate any pointers.
-S

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: error while loading ggplot2

Jeff Newmiller
Please post using plain text... the mailing list will strip HTML anyway and mess up what you send.

Send the output of sessionInfo() so we know what versions of R and packages you have.
--
Sent from my phone. Please excuse my brevity.

On January 17, 2018 4:37:06 PM PST, shijin mathew via R-help <[hidden email]> wrote:

>Getting the following error while loading ggplot2.
>
>> library(ggplot2)
>Error: package or namespace load failed for ‘ggplot2’ in
>loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
> object 'vI' not found
>Tried different version of R and ggplot2 but still doesnt work.
>Any help to resolve is appreciated. Appreciate any pointers.
>-S
>
> [[alternative HTML version deleted]]
>
>______________________________________________
>[hidden email] mailing list -- To UNSUBSCRIBE and more, see
>https://stat.ethz.ch/mailman/listinfo/r-help
>PLEASE do read the posting guide
>http://www.R-project.org/posting-guide.html
>and provide commented, minimal, self-contained, reproducible code.

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: error while loading ggplot2

R help mailing list-2
Thnaks Jeff.
Below is the session info you requested.
R version 3.4.3 (2017-11-30)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows >= 8 x64 (build 9200)

Matrix products: default

locale:
[1] LC_COLLATE=English_United States.1252  LC_CTYPE=English_United States.1252  
[3] LC_MONETARY=English_United States.1252 LC_NUMERIC=C                          
[5] LC_TIME=English_United States.1252    

attached base packages:
[1] grid      stats     graphics  grDevices utils     datasets  methods   base    

other attached packages:
 [1] reshape_0.8.7       Formula_1.2-2       survival_2.41-3     lattice_0.20-35    
 [5] versions_0.3        VIM_4.7.0           data.table_1.10.4-3 colorspace_1.3-2  
 [9] nnet_7.3-12         rpart_4.1-11        fBasics_3042.89     timeSeries_3042.102
[13] timeDate_3042.101   fpc_2.1-11          rattle_5.1.0      

loaded via a namespace (and not attached):
 [1] nlme_3.1-131        pbkrtest_0.4-7      RColorBrewer_1.1-2  prabclus_2.2-6    
 [5] tools_3.4.3         lazyeval_0.2.1      mgcv_1.8-22         trimcluster_0.1-2  
 [9] sp_1.2-6            compiler_3.4.3      quantreg_5.34       SparseM_1.77      
[13] diptest_0.75-7      scales_0.5.0        lmtest_0.9-35       DEoptimR_1.0-8    
[17] mvtnorm_1.0-6       robustbase_0.92-8   randomForest_4.6-12 spatial_7.3-11    
[21] stringr_1.2.0       minqa_1.2.4         lme4_1.1-15         rlang_0.1.6        
[25] zoo_1.8-1           mclust_5.4          car_2.1-6           magrittr_1.5      
[29] modeltools_0.2-21   Matrix_1.2-12       Rcpp_0.12.14        munsell_0.4.3      
[33] stringi_1.1.6       yaml_2.1.16         MASS_7.3-47         flexmix_2.3-14    
[37] plyr_1.8.4          parallel_3.4.3      splines_3.4.3       boot_1.3-20        
[41] stats4_3.4.3        XML_3.98-1.9        rpart.plot_2.1.2    laeken_0.4.6      
[45] vcd_1.4-4           nloptr_1.0.4        MatrixModels_0.4-1  gtable_0.2.0      
[49] kernlab_0.9-25      amap_0.8-14         e1071_1.6-8         class_7.3-14      
[53] cluster_2.0.6       RGtk2_2.20.33      

    On Wednesday, January 17, 2018, 11:34:17 PM PST, Jeff Newmiller <[hidden email]> wrote:  
 
 Please post using plain text... the mailing list will strip HTML anyway and mess up what you send.

Send the output of sessionInfo() so we know what versions of R and packages you have.
--
Sent from my phone. Please excuse my brevity.

On January 17, 2018 4:37:06 PM PST, shijin mathew via R-help <[hidden email]> wrote:

>Getting the following error while loading ggplot2.
>
>> library(ggplot2)
>Error: package or namespace load failed for ‘ggplot2’ in
>loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]):
> object 'vI' not found
>Tried different version of R and ggplot2 but still doesnt work.
>Any help to resolve is appreciated. Appreciate any pointers.
>-S
>
>    [[alternative HTML version deleted]]
>
>______________________________________________
>[hidden email] mailing list -- To UNSUBSCRIBE and more, see
>https://stat.ethz.ch/mailman/listinfo/r-help
>PLEASE do read the posting guide
>http://www.R-project.org/posting-guide.html
>and provide commented, minimal, self-contained, reproducible code.  
        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.